package com.diagbot.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.time.LocalDate;
import java.time.LocalDateTime;
import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 危急值信息
 * </p>
 *
 * @author zhoutg
 * @time: 2024-05-28
 */
@TableName("med_crisis_info")
@Data
public class MedCrisisInfo implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "rec_id",type = IdType.INPUT)
    private String recId;

    /**
     * 医院ID
     */
    private Long hospitalId;

    /**
     * 病人住院ID
     */
    private String behospitalCode;

    /**
     * 记录类型
     */
    private String recType;

    /**
     * 危急值ID
     */
    private String crisisId;

    /**
     * 危急值名称
     */
    private String crisisName;

    /**
     * 开单科室ID
     */
    private String deptId;

    /**
     * 开单科室名称
     */
    private String deptName;

    /**
     * 开单医生ID
     */
    private String doctorId;

    /**
     * 开单医生姓名
     */
    private String doctorName;

    /**
     * 危急结果值
     */
    private String crisisValue;

    /**
     * 危急值描述
     */
    private String crisisDesc;

    /**
     * 危急值状态
     */
    private String crisisStatus;

    /**
     * 参考上限
     */
    private String crisisTopValue;

    /**
     * 参考下限
     */
    private String crisisLowerValue;

    /**
     * 送检时间
     */
    private Date sendDate;

    /**
     * 报告时间
     */
    private Date repDate;

    /**
     * 是否删除,N:未删除，Y:删除
     */
    private String isDeleted;

    /**
     * 记录创建时间
     */
    private Date gmtCreate;

    /**
     * 记录修改时间,如果时间是1970年则表示纪录未修改
     */
    private Date gmtModified;

    /**
     * 创建人，0表示无创建人值
     */
    private String creator;

    /**
     * 修改人,如果为0则表示纪录未修改
     */
    private String modifier;

    public String getRecId() {
        return recId;
    }

    public void setRecId(String recId) {
        this.recId = recId;
    }
    public Long getHospitalId() {
        return hospitalId;
    }

    public void setHospitalId(Long hospitalId) {
        this.hospitalId = hospitalId;
    }
    public String getBehospitalCode() {
        return behospitalCode;
    }

    public void setBehospitalCode(String behospitalCode) {
        this.behospitalCode = behospitalCode;
    }
    public String getRecType() {
        return recType;
    }

    public void setRecType(String recType) {
        this.recType = recType;
    }
    public String getCrisisId() {
        return crisisId;
    }

    public void setCrisisId(String crisisId) {
        this.crisisId = crisisId;
    }
    public String getCrisisName() {
        return crisisName;
    }

    public void setCrisisName(String crisisName) {
        this.crisisName = crisisName;
    }
    public String getDeptId() {
        return deptId;
    }

    public void setDeptId(String deptId) {
        this.deptId = deptId;
    }
    public String getDeptName() {
        return deptName;
    }

    public void setDeptName(String deptName) {
        this.deptName = deptName;
    }
    public String getDoctorId() {
        return doctorId;
    }

    public void setDoctorId(String doctorId) {
        this.doctorId = doctorId;
    }
    public String getDoctorName() {
        return doctorName;
    }

    public void setDoctorName(String doctorName) {
        this.doctorName = doctorName;
    }
    public String getCrisisValue() {
        return crisisValue;
    }

    public void setCrisisValue(String crisisValue) {
        this.crisisValue = crisisValue;
    }
    public String getCrisisDesc() {
        return crisisDesc;
    }

    public void setCrisisDesc(String crisisDesc) {
        this.crisisDesc = crisisDesc;
    }
    public String getCrisisStatus() {
        return crisisStatus;
    }

    public void setCrisisStatus(String crisisStatus) {
        this.crisisStatus = crisisStatus;
    }
    public String getCrisisTopValue() {
        return crisisTopValue;
    }

    public void setCrisisTopValue(String crisisTopValue) {
        this.crisisTopValue = crisisTopValue;
    }
    public String getCrisisLowerValue() {
        return crisisLowerValue;
    }

    public void setCrisisLowerValue(String crisisLowerValue) {
        this.crisisLowerValue = crisisLowerValue;
    }
    public Date getSendDate() {
        return sendDate;
    }

    public void setSendDate(Date sendDate) {
        this.sendDate = sendDate;
    }
    public Date getRepDate() {
        return repDate;
    }

    public void setRepDate(Date repDate) {
        this.repDate = repDate;
    }
    public String getIsDeleted() {
        return isDeleted;
    }

    public void setIsDeleted(String isDeleted) {
        this.isDeleted = isDeleted;
    }
    public Date getGmtCreate() {
        return gmtCreate;
    }

    public void setGmtCreate(Date gmtCreate) {
        this.gmtCreate = gmtCreate;
    }
    public Date getGmtModified() {
        return gmtModified;
    }

    public void setGmtModified(Date gmtModified) {
        this.gmtModified = gmtModified;
    }
    public String getCreator() {
        return creator;
    }

    public void setCreator(String creator) {
        this.creator = creator;
    }
    public String getModifier() {
        return modifier;
    }

    public void setModifier(String modifier) {
        this.modifier = modifier;
    }

    @Override
    public String toString() {
        return "MedCrisisInfo{" +
            "recId=" + recId +
            ", hospitalId=" + hospitalId +
            ", behospitalCode=" + behospitalCode +
            ", recType=" + recType +
            ", crisisId=" + crisisId +
            ", crisisName=" + crisisName +
            ", deptId=" + deptId +
            ", deptName=" + deptName +
            ", doctorId=" + doctorId +
            ", doctorName=" + doctorName +
            ", crisisValue=" + crisisValue +
            ", crisisDesc=" + crisisDesc +
            ", crisisStatus=" + crisisStatus +
            ", crisisTopValue=" + crisisTopValue +
            ", crisisLowerValue=" + crisisLowerValue +
            ", sendDate=" + sendDate +
            ", repDate=" + repDate +
            ", isDeleted=" + isDeleted +
            ", gmtCreate=" + gmtCreate +
            ", gmtModified=" + gmtModified +
            ", creator=" + creator +
            ", modifier=" + modifier +
        "}";
    }
}
